#!/bin/sh

. ./host.conf

ifconfig ipsec0 create reqid 100
ifconfig ipsec0 inet tunnel ${LOCAL_IPV4} ${REMOTE_IPV4}
ifconfig ipsec0 inet ${LOCAL_IPV4GIF}/32 ${REMOTE_IPV4GIF}
ifconfig ipsec0 inet6 ${LOCAL_IPV6GIF}/64

setkey -c <<EOF

flush;
spdflush;

add ${LOCAL_IPV4} ${REMOTE_IPV4} esp 51966 -m tunnel -u 100 -E rijndael-cbc "1111111111111111";
add ${REMOTE_IPV4} ${LOCAL_IPV4} esp 48879 -m tunnel -u 100 -E rijndael-cbc "1111111111111112";
EOF

cat <<EOF
-------------------------- TEST 06 --------------------------
# Simple IPsec VTI configuration:
# proto:	ESP
# mode:		tunnel
# level:	unique
#
# Expected result:
# ESP and Non-ESP traffic between hosts ${LOCAL_NAME} and ${REMOTE_NAME}
# Request to ${REMOTE_IPV4GIF} and ${REMOTE_IPV6GIF} gets encrypted.

# Use following commands to check results:
# tcpdump -ni ${LOCAL_IFNAME}
# ping -c 3 -S ${LOCAL_IPV4GIF} ${REMOTE_IPV4GIF}
# ping6 -c 3 -S ${LOCAL_IPV6GIF} ${REMOTE_IPV6GIF}
# ping -c 3 -S ${LOCAL_IPV4} ${REMOTE_IPV4}
EOF

